谷歌的ie9.js ie8.js ie7.js 解决IE5、IE6、IE7、IE8与W3C标准的冲突

如果分别用IE5、IE6、IE7浏览同一个网页,将可能出现不一样的效果。

这是它们之间对CSS的解析选择器不一样或错误和个别bug所导致。为了解决这些错误和bug。

我们不得不找到一个能平衡于它们之间的解决方法。

如png透明问题在IE5、IE6下无法显示出其效果,专题,我们可能会使用CSS hack或者引入外部JavaScript来实现。譬如前面我提到过用pngfix的那个方法就是调用外部JavaScript来解决在IE5、IE6下png透明问题。当然还有更多的方法。

而现在有种更加完美的方法能兼容IE5、IE6、IE7的CSS选择器解析不一样问题。那就是: ie7 – js

ie7 – js中是一个JavaScript库(解决IE与W3C标准的冲突的JS库),使微软的Internet Explorer的行为像一个Web标准兼容的浏览器,支持更多的W3C标准,支持CSS2、CSS3选择器。它修复了许多的HTML和CSS问题,并使得透明PNG在IE5、IE6下正确显示。

目前该ie7 – js版本: 2.0 beta 3

用法:

直接引用Google Code服务器上的js文件

IE7.js

Upgrade MSIE5.5-6 to be compatible with MSIE7.

<!--[if lt IE 7]>

<script src="http://ie7-js.googlecode.com/svn/version/2.1(beta4)/IE7.js"></script>

<![endif]-->

IE8.js

Upgrade MSIE5.5-7 to be compatible with MSIE8.

<!--[if lt IE 8]>

<script src="http://ie7-js.googlecode.com/svn/version/2.1(beta4)/IE8.js"></script>

<![endif]-->

You do not need to include IE7.js if you are using IE8.js

IE9.js

Upgrade MSIE5.5-8 to be compatible with modern browsers.

<!--[if lt IE 9]>www.2cto.com

<script src="http://ie7-js.googlecode.com/svn/version/2.1(beta4)/IE9.js"></script>

<![endif]-->

You do not need to include IE7/IE8.js if you are using IE9.js

=======================================================

 转自哪里?实在不知道原文是哪里的,那么,转自:互联网

 

由于GFW的存在,我给打包了,方便下载!

附件:

IEJS

梦魂
Dream's Date 2021.
查看“梦魂”的所有文章 →

2 条评论

发表评论

邮箱地址不会被公开。 必填项已用*标注

相关推荐